Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153719 - Mysql restarts with file size problem
Summary: Mysql restarts with file size problem
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: mysql
Version: rhl9
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jesse Keating
QA Contact:
URL:
Whiteboard: DEFER
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 10:16 UTC by Asier
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-13 13:54:15 UTC


Attachments (Terms of Use)

Description Asier 2005-04-05 10:16:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
When we start mysql it starts OK but after a while it restarts with message:

Number of processes running now: 1
mysqld process hanging, pid 25560 - killed
050405 12:09:27  mysqld restarted
/usr/bin/mysqld_safe: line 315: 25581 Superado el límite de tamaño de fichero                 $NOHUP_NICENESS $ledir/$MYSQLD $defaults --basedir=$MY_BASEDIR_VERSION --datadir=$DATADIR $USER_OPTION --pid-file=$pid_file --skip-locking >>$err_log 2>&1

It is an spanish installation, the message means "file size limit exceeded"

Version-Release number of selected component (if applicable):
4.0.11

How reproducible:
Always

Steps to Reproduce:
1.start mysql server
2.
3.
  

Actual Results:  After a while the mysql server restarts

Additional info:

Comment 1 Jesse Keating 2005-04-05 17:37:41 UTC
Sounds like you are hitting a ulimit with the database file, which has nothign
to do w/ mysql.  Can you check the size of your database files in /var/lib/mysql
and the current quotas or ulimits you have?

Comment 2 Asier 2005-04-06 06:39:23 UTC
Hi,

I don´t know much about Lynux, but if I do ulimit -a the limit for file size 
is 100000 blocks. As red hat 9 has a blocksize of 16K, this must be a limit of 
1.6GB for a file. Mysql biggest file if 120MB, so this can´t be the problem. 
How do I see current quotas?

Comment 3 Jesse Keating 2005-04-06 23:45:14 UTC
Can you repro this with the older mysql version?

Comment 4 Pekka Savola 2005-11-16 13:22:58 UTC
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.


Note You need to log in before you can comment on or make changes to this bug.